pipeline {
    agent {
      label 'worker'
    }




    stages {



        stage('Git pull') {
            steps {
                sh 'rm -rf docker-file'
                sh 'git clone https://gitlab.com/pritam.kumar/docker-file.git/'
                sh 'rm -rf docker-file@tmp'
            }
        }
        stage('Build docker image') {

            input {
                message "Should we continue?"
                ok "Yes, we should."
                submitter "krunal"

            }

            steps {


                script{

                    withCredentials([usernamePassword(credentialsId: 'Docker-hub', passwordVariable: 'Password', usernameVariable: 'Username')]) {


                    sh 'docker login -u ${Username} -p ${Password}'

                    }

                    env.VERSION = input message: 'Please enter the Imgae version',
                            parameters: [string(defaultValue: 'Latest',
                                        description: '',
                                        name: 'VERSION')]


                    dir('docker-file') {

                    echo "${env.VERSION}"


                    sh 'docker build -t pritamkumarjangid/node:"${VERSION}" .'

                 }

                }

            }
        }
        stage('PUSH docker image') {
            steps {
              sh 'docker push pritamkumarjangid/node:"${VERSION}" '
              echo "Image is sucessfully pushed"
            }


    }   }
}
